Login
Newsletter
Werbung

Sicherheit: Preisgabe von Informationen in libgcrypt
Aktuelle Meldungen Distributionen
Name: Preisgabe von Informationen in libgcrypt
ID: openSUSE-SU-2018:2178-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Fr, 3. August 2018, 23:29
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-0495
Applikationen: libgcrypt

Originalnachricht

   openSUSE Security Update: Security update for libgcrypt
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2178-1
Rating: moderate
References: #1064455 #1090766 #1097410
Cross-References: CVE-2018-0495
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for libgcrypt fixes the following issues:

The following security vulnerability was addressed:

- CVE-2018-0495: Mitigate a novel side-channel attack by enabling blinding
for ECDSA signatures (bsc#1097410).

The following other issues were fixed:

- Extended the fipsdrv dsa-sign and dsa-verify commands with the
--algo parameter for the FIPS testing of DSA SigVer and SigGen
(bsc#1064455).
- Ensure libgcrypt20-hmac and libgcrypt20 are installed in the correct
order. (bsc#1090766)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-795=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libgcrypt-cavs-1.6.1-45.1
libgcrypt-cavs-debuginfo-1.6.1-45.1
libgcrypt-debugsource-1.6.1-45.1
libgcrypt-devel-1.6.1-45.1
libgcrypt-devel-debuginfo-1.6.1-45.1
libgcrypt20-1.6.1-45.1
libgcrypt20-debuginfo-1.6.1-45.1
libgcrypt20-hmac-1.6.1-45.1

- openSUSE Leap 42.3 (x86_64):

libgcrypt-devel-32bit-1.6.1-45.1
libgcrypt-devel-debuginfo-32bit-1.6.1-45.1
libgcrypt20-32bit-1.6.1-45.1
libgcrypt20-debuginfo-32bit-1.6.1-45.1
libgcrypt20-hmac-32bit-1.6.1-45.1


References:

https://www.suse.com/security/cve/CVE-2018-0495.html
https://bugzilla.suse.com/1064455
https://bugzilla.suse.com/1090766
https://bugzilla.suse.com/1097410

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung